Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBenoit Maggi2017-03-30 07:34:38 -0400
committerGerrit Code Review @ Eclipse.org2017-04-06 06:11:56 -0400
commit5e003e0b53e1ad9e4cfb10acc96a407324026816 (patch)
tree08a8fcd218cb3ced3a4ae24abb38eb2fc4f79fe4 /plugins/developer/org.eclipse.papyrus.releng.tools
parent52394556389df5daa214a659ecae3d12060117c5 (diff)
downloadorg.eclipse.papyrus-5e003e0b53e1ad9e4cfb10acc96a407324026816.tar.gz
org.eclipse.papyrus-5e003e0b53e1ad9e4cfb10acc96a407324026816.tar.xz
org.eclipse.papyrus-5e003e0b53e1ad9e4cfb10acc96a407324026816.zip
Bug 514332 - Papyrus should never reexport non-singleton plugins
- remove Required-Bundle Guava (and their re-export) - use package import for Guava dependencies Change-Id: Ie1e383b6b8ed1d57747345c2788c0c63de1f08bb Signed-off-by: Benoit Maggi <benoit.maggi@cea.fr> Signed-off-by: Florian Noyrit <florian.noyrit@cea.fr>
Diffstat (limited to 'plugins/developer/org.eclipse.papyrus.releng.tools')
-rw-r--r--plugins/developer/org.eclipse.papyrus.releng.tools/META-INF/MANIFEST.MF3
1 files changed, 2 insertions, 1 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.releng.tools/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.releng.tools/META-INF/MANIFEST.MF
index d28ea9d4442..dcb115f1543 100644
--- a/plugins/developer/org.eclipse.papyrus.releng.tools/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.releng.tools/META-INF/MANIFEST.MF
@@ -3,7 +3,6 @@ Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.12.0,4.0.0)",
org.eclipse.ui;bundle-version="[3.107.0,4.0.0)",
org.eclipse.oomph.setup.targlets;bundle-version="[1.3.0,2.0.0)",
org.eclipse.emf.edit;bundle-version="[2.12.0,3.0.0)",
- com.google.guava;bundle-version="21.0.0",
org.eclipse.oomph.setup.workingsets;bundle-version="[1.3.0,2.0.0)",
fr.obeo.releng.targetplatform;bundle-version="2.1.1";resolution:=optional,
org.eclipse.cbi.p2repo.aggregator;bundle-version="1.0.0",
@@ -16,3 +15,5 @@ Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.releng.tools.internal.Activator
Bundle-SymbolicName: org.eclipse.papyrus.releng.tools;singleton:=true
Bundle-RequiredExecutionEnvironment: JavaSE-1.8
+Import-Package: com.google.common.base;version="21.0.0",
+ com.google.common.collect;version="21.0.0"

Back to the top